Bug Hunting Session
Bug 107866 - Changing table column width/row height with Alt+arrow key strokes is broken
Summary: Changing table column width/row height with Alt+arrow key strokes is broken
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.4.0
Keywords: bibisected, regression
Depends on:
Blocks:
 
Reported: 2017-05-15 13:04 UTC by Cor Nouws
Modified: 2017-07-12 10:19 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Cor Nouws 2017-05-15 13:04:06 UTC
Start new Writer document
Enter
Ctrl+F12, Enter
  (cursor is now in A1 of new table)
Alt+left (two or three times)
  Column width shrinks
  = OK
Left
  Cursor in 2nd column
  = OK
Alt+right
  Cursor moves to next row, first column
  = NOT OK
  expected: 2nd column width increases
Alt+right
  Width of first column increases a lot + cursor in 2nd column
  = NOT OK
  expected: the width only changes a little, cursor stays in same column

Alt+Down
  Row height increases a lot, related to the column width
  = NOT OK
  expected: the height increases ~ one line


Noticed in Version: 5.4.0.0.alpha1+
Build ID: b9d75dea30adaa53be58c112f255c9fcd3eea400
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-05-15_03:00:16
Locale: nl-NL (nl_NL.UTF-8); Calc: group

Was still ok in Version: 5.4.0.0.alpha0+
Build ID: b0026125ab60d98cf6705e5d89e2f87575b5d337
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-03-21_01:15:06
Locale: nl-NL (nl_NL.UTF-8); Calc: group
Comment 2 Cor Nouws 2017-05-15 14:19:51 UTC
Thanks Maxim.

Noel, something maybe related to 890d6790715c4c3f3565b476d538643f04dc6936 or 
f52535f433ddeac304d2b789a65b5031d1c7d1bb ?
Comment 3 Noel Grandin 2017-05-23 14:41:51 UTC
Definitely something to do with 890d6790715c4c3f3565b476d538643f04dc6936
Comment 4 Commit Notification 2017-05-24 06:48:50 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bfafda5829f75091c9db798f953d617cde688a1f

tdf#107866 - Changing table column width with Alt+arrow key strokes is broken

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Cor Nouws 2017-06-14 13:08:33 UTC
verified in Version: 5.5.0.0.alpha0+
Build ID: 200a566cf106fc724b99c373f16da0058163b28d
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-06-05_23:01:35
Locale: nl-NL (nl_NL.UTF-8); Calc: group

thanks for fixing!